对于消息队列功能,kafka和zookeeper哪个版本较为稳定?

宁静志远 发表于: 2019-07-25   最后更新时间: 2019-07-25 19:48:30   2833 游览

当前使用的kafka版本1.1.0,zookeeper版本3.4.11,当前版本有一些bug,譬如:

KAFKA-6832
KAFKA-6982
KAFKA-7165
ZOOKEEPER-2332
ZOOKEEPER-2985

在生产环境出现后需要定位根本原因,但是似乎只能通过版本升级来解决,所以想要请教大家,只使用消息队列功能,kafka 2.x.x和zookeeper哪个版本较为稳定?或者大家在升级过程中遇到过哪些坑?大家多多指教

另外,半兽人大神一直推荐zookeeper 3.4.9版本,但这个版本确实已经过于久远,有些不确定,还望大神指点

zookeeper



发表于 2年前
添加评论

对,你的链接正是我想给你推荐的,也是官方推荐的,我们生产也是这个(运行了3年)。
其实kafka在0.8版本以后,更多是为了流式计算进行改造的。我们也还有0.8版本的,用到现在了。

宁静志远 -> 半兽人 2年前

谢谢大神,那zookeeper的版本就用3.4.9了!
既然Kafka 2.x.x 版本主要是改造streams组件,对于消息队列主要是打patch,是不是说各个版本差别不会太大?
如果是这样的话,那就准备升级到2.2.1了

半兽人 -> 宁静志远 2年前

嗯,升级吧。
这里是升级的版本差异,你可以读一读。
https://www.orchome.com/kafka/news

找不到想要的答案?

我要提问
相关
相关
提问